POST /admin/api/tokenizer-vocabs
curl --request POST \
--url https://api.example.com/admin/api/tokenizer-vocabs \
--header 'Content-Type: application/json' \
--cookie gproxy_session= \
--data '
{
"repo": "<string>",
"filename": null,
"modelId": null,
"setAsDefault": false
}
'import requests
url = "https://api.example.com/admin/api/tokenizer-vocabs"
payload = {
"repo": "<string>",
"filename": None,
"modelId": None,
"setAsDefault": False
}
headers = {
"cookie": "gproxy_session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'gproxy_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({repo: '<string>', filename: null, modelId: null, setAsDefault: false})
};
fetch('https://api.example.com/admin/api/tokenizer-vocabs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/admin/api/tokenizer-vocabs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'repo' => '<string>',
'filename' => null,
'modelId' => null,
'setAsDefault' => false
]),
CURLOPT_COOKIE => "gproxy_session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/admin/api/tokenizer-vocabs"
payload := strings.NewReader("{\n \"repo\": \"<string>\",\n \"filename\": null,\n \"modelId\": null,\n \"setAsDefault\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "gproxy_session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/admin/api/tokenizer-vocabs")
.header("cookie", "gproxy_session=")
.header("Content-Type", "application/json")
.body("{\n \"repo\": \"<string>\",\n \"filename\": null,\n \"modelId\": null,\n \"setAsDefault\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/admin/api/tokenizer-vocabs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'gproxy_session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"repo\": \"<string>\",\n \"filename\": null,\n \"modelId\": null,\n \"setAsDefault\": false\n}"
response = http.request(request)
puts response.read_body{
"createdAtMs": 123,
"fileId": "<string>",
"filename": "<string>",
"isDefault": true,
"models": [
"<string>"
],
"sizeBytes": 123
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Management
POST /admin/api/tokenizer-vocabs
POST
/
admin
/
api
/
tokenizer-vocabs
POST /admin/api/tokenizer-vocabs
curl --request POST \
--url https://api.example.com/admin/api/tokenizer-vocabs \
--header 'Content-Type: application/json' \
--cookie gproxy_session= \
--data '
{
"repo": "<string>",
"filename": null,
"modelId": null,
"setAsDefault": false
}
'import requests
url = "https://api.example.com/admin/api/tokenizer-vocabs"
payload = {
"repo": "<string>",
"filename": None,
"modelId": None,
"setAsDefault": False
}
headers = {
"cookie": "gproxy_session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'gproxy_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({repo: '<string>', filename: null, modelId: null, setAsDefault: false})
};
fetch('https://api.example.com/admin/api/tokenizer-vocabs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/admin/api/tokenizer-vocabs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'repo' => '<string>',
'filename' => null,
'modelId' => null,
'setAsDefault' => false
]),
CURLOPT_COOKIE => "gproxy_session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/admin/api/tokenizer-vocabs"
payload := strings.NewReader("{\n \"repo\": \"<string>\",\n \"filename\": null,\n \"modelId\": null,\n \"setAsDefault\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "gproxy_session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/admin/api/tokenizer-vocabs")
.header("cookie", "gproxy_session=")
.header("Content-Type", "application/json")
.body("{\n \"repo\": \"<string>\",\n \"filename\": null,\n \"modelId\": null,\n \"setAsDefault\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/admin/api/tokenizer-vocabs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'gproxy_session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"repo\": \"<string>\",\n \"filename\": null,\n \"modelId\": null,\n \"setAsDefault\": false\n}"
response = http.request(request)
puts response.read_body{
"createdAtMs": 123,
"fileId": "<string>",
"filename": "<string>",
"isDefault": true,
"models": [
"<string>"
],
"sizeBytes": 123
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}授权
consoleSessionbeareranthropicKeygoogleKey
请求头
Administrative scope selected by the caller.
请求体
application/json
What to fetch, and what to point at it.
A Hugging Face repository id, owner/name.
The file inside it; tokenizer.json when absent.
The catalog model whose vocabulary_file_id should point at the
result. Absent leaves every model alone.
Whether this also becomes the instance default, used by models that select no vocabulary of their own.